### Class

# EvinceView Job

since: 3.0

#### Description

    abstract class EvinceView.Job : GObject.Object
    {
      document: EvDocument*,
      run_mode: EvJobRunMode,
      cancelled: guint,
      finished: guint,
      failed: guint,
      error: GError*,
      cancellable: GCancellable*,
      idle_finished_id: guint,
      idle_cancelled_id: guint
    }

No description available.

Available since: 3.0

#### Ancestors

- GObject

#### Descendants

- EvJobAnnots
- EvJobAttachments
- EvJobExport
- EvJobFind
- EvJobFonts
- EvJobLayers
- EvJobLinks
- EvJobLoad
- EvJobLoadFd
- EvJobLoadGFile
- EvJobLoadStream
- EvJobPageData
- EvJobPrint
- EvJobRender
- EvJobSave
- EvJobThumbnail

#### Functions

###### ev_job_scheduler_get_running_thread_job

No description available.

since: 3.0

###### ev_job_scheduler_wait

Synchronously waits until all jobs are done. Remember that main loop is not running already probably.

since: 3.0

#### Instance methods

###### ev_job_cancel

No description available.

since: 3.0

###### ev_job_failed

No description available.

since: 3.0

###### ev_job_failed_from_error

No description available.

since: 3.0

###### ev_job_get_run_mode

No description available.

since: 3.0

###### ev_job_is_failed

No description available.

since: 3.0

###### ev_job_is_finished

No description available.

since: 3.0

###### ev_job_run

No description available.

since: 3.0

###### ev_job_scheduler_push_job

No description available.

since: 3.0

###### ev_job_scheduler_update_job

No description available.

since: 3.0

###### ev_job_set_run_mode

No description available.

since: 3.0

###### ev_job_succeeded

No description available.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### EvinceView.Job::cancelled

No description available.

since: 3.0

###### EvinceView.Job::finished

No description available.

since: 3.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct EvinceViewJobClass {
      GObjectClass parent_class;
      gboolean (* run) (
        EvJob* job
      );
      void (* cancelled) (
        EvJob* job
      );
      void (* finished) (
        EvJob* job
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`run: gboolean (* run) ( EvJob* job )`
  No description available.
`cancelled: void (* cancelled) ( EvJob* job )`
  No description available.
`finished: void (* finished) ( EvJob* job )`
  No description available.

#### Virtual methods

###### EvinceView.JobClass.cancelled

No description available.

since: 3.0

###### EvinceView.JobClass.finished

No description available.

since: 3.0

###### EvinceView.JobClass.run

No description available.

since: 3.0